# source https://github.com/rsyslog/libfastjson/archive/v0.99.8.tar.gz

%global major     4
%global libname   %mklibname fastjson %{major}
%global develname %mklibname fastjson -d

Name:           libfastjson
Version:        0.99.8
Release:        %mkrel 2
Summary:        A performance-focused json library for C

License:        GPL
Group:		System/Libraries
URL:            https://github.com/rsyslog/libfastjson
Source0:        %{name}-%{version}.tar.xz

BuildRequires:  make

%description
%{summary}.

%package -n %{libname}
Summary:        Shared libraries for %{name}
Group:          System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the shared libraries for %{name}.

%package -n %{develname}
Summary:        Header files and development libraries for %{name}
Group:          Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Header files and development libraries for %{name}.

%prep
%setup -q

%build
autoreconf -fiv
%configure2_5x
%make_build

%install
%makeinstall_std
find %{buildroot} \( -iname \*.a -o -iname \*.la \) -delete

%files -n %{libname}
%doc AUTHORS ChangeLog COPYING NEWS README.md
%{_libdir}/%{name}.so.%{major}*

%files -n %{develname}
%{_includedir}/%{name}
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Tue May 28 2019 tex - 0.99.8-2pclos2019
- rebuild against updates

* Sat Jan 13 2018 marcin82 <m82 at op.pl> 0.99.8-1pclos2018
- update

* Mon Oct 30 2017 marcin82 <m82 at op.pl> 0.99.7-1pclos2017
- update

* Fri Sep 08 2017 marcin82 <m82 at op.pl> 0.99.6-1pclos2017
- initial build for PCLinuxOS
